package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum ExportEnum implements BaseEnum<String, ExportEnum> {
    USER_CASH_ACCOUNT_LOG("USER_CASH_ACCOUNT_LOG","退费记录导出"),
    MUSIC_GROUP("MUSIC_GROUP","乐团列表导出"),
    STATISTICS_DETAIL("STATISTICS_DETAIL","21年暑期考级活动统计页面详情导出"),
    DOUBLE_ELEVEN2021_ORDER_DETAIL("DOUBLE_ELEVEN2021_ORDER_DETAIL", "2021双十一学员购买详情"),
    ORGAN_DOUBLE_ELEVEN2021_STATIS("ORGAN_DOUBLE_ELEVEN2021_STATIS", "分部2021双11活动统计导出"),
    USER_CASH_ACCOUNT_DETAIL("USER_CASH_ACCOUNT_DETAIL", "学生个人账户余额导出"),
    USER_COURSES_ACCOUNT("USER_COURSES_ACCOUNT", "学生个人课程余额导出"),
    CLASS_GROUP("CLASS_GROUP", "班级列表导出"),
    GOODS("GOODS", "商品列表导出"),
    VIP_GROUP_ACTIVITY("VIP_GROUP_ACTIVITY", "VIP活动导出"),
    EXPORT_STUDENT_ATTENDANCES("EXPORT_STUDENT_ATTENDANCES", "学员考勤记录导出"),
    MUSIC_GROUP_PAYMENT_CALENDER_DETAIL("MUSIC_GROUP_PAYMENT_CALENDER_DETAIL", "缴费记录导出"),
    EXPORT_PAYMENT_CALENDER_AUDIT_LIST("EXPORT_PAYMENT_CALENDER_AUDIT_LIST", "审核列表导出"),
    QUERY_TEACHER_ATTENDANCES("QUERY_TEACHER_ATTENDANCES", "导出教师考勤列表"),
    TEACHER_SALARY_COMPLAINTS("TEACHER_SALARY_COMPLAINTS", "导出申述处理列表"),
    STUDENT_BUY_PRACTICE("STUDENT_BUY_PRACTICE", "网管课购买列表"),
    TENANT_PAYMENT_ORDER("TENANT_PAYMENT_ORDER", "导出对外订单列表"),
    TEACHER_SALARY("TEACHER_SALARY", "导出老师课酬"),
    TEACHER_COURSE_REWARD("TEACHER_COURSE_REWARD", "导出老师结转奖励"),
    STUDENT_HAS_COURSE("STUDENT_HAS_COURSE", "导出学员列表"),
    PRACTICE_GROUP_LIST("PRACTICE_GROUP_LIST", "导出陪练课列表"),
    VIP_GROUP_LIST("VIP_GROUP_LIST", "导出VIP课管理"),
    SUPER_FIND_COURSE_SCHEDULES("SUPER_FIND_COURSE_SCHEDULES", "终课表列表导出"),
    SPORADIC_CHARGE_INFO("SPORADIC_CHARGE_INFO", "导出零星收费列表"),
    MUSICAL_LIST_EXPORT("MUSICAL_LIST_EXPORT", "导出乐器采购清单"),
    MUSICAL_LIST_DETAIL_EXPORT("MUSICAL_LIST_DETAIL_EXPORT", "导出学员采购清单明细"),
    QUERY_STUDENT_APPLY_DETAIL_EXPORT("QUERY_STUDENT_APPLY_DETAIL_EXPORT", "学生详情列表导出"),
    COURSE_SCHEDULE_TEACHER_SALARY("COURSE_SCHEDULE_TEACHER_SALARY", "分页导出教师薪酬列表"),
    ORDER_LIST1("ORDER_LIST1", "订单列表导出1"),
    ORDER_LIST2("ORDER_LIST2", "订单列表导出2"),
    ORDER_LIST_SUM("ORDER_LIST_SUM", "订单列表汇总导出"),
    STUDENT_VIP_PRACTICE("STUDENT_VIP_PRACTICE", "学员小课记录导出"),
    MUSIC_GROUP_STUDENT("MUSIC_GROUP_STUDENT", "乐团导出学员列表"),
    COURSE_REVIEWS("COURSE_REVIEWS", "评论列表导出"),
    PRACTICE_GROUP("PRACTICE_GROUP", "网管课管理导出"),
    VIP_GROUP("VIP_GROUP", "VIP管理导出"),
    EXTRA_EXERCISES_REPLYS("EXTRA_EXERCISES_REPLYS", "学生课外训练记录导出"),
    EXERCISES_SITUATIONS("EXERCISES_SITUATIONS", "课外训练-教学导出"),
    IS_SETTLEMENT_COURSE_SALARYS("IS_SETTLEMENT_COURSE_SALARYS", "教师课酬导出"),
    OPERATING_STUDENTS("OPERATING_STUDENTS", "运营指标管理导出"),
    VIP_COURSE_REVIEWS("VIP_COURSE_REVIEWS", "VIP评论列表导出"),
    DEGREE_REGISTRATION("DEGREE_REGISTRATION", "考级报名导出"),
    COOPERATION_ORGAN("COOPERATION_ORGAN", "合作单位导出"),
    ROUTE_ORDER_LIST1("ROUTE_ORDER_LIST1", "财务管理导出1"),
    ROUTE_ORDER_LIST2("ROUTE_ORDER_LIST2", "财务管理导出2"),
    TEACHER_DEFAULT_SALARY("TEACHER_DEFAULT_SALARY", "老师默认课酬导出"),
    MUSIC_GROUP_REGISTER("MUSIC_GROUP_REGISTER", "报名中缴费中乐团缴费情况导出"),
    MUSIC_GROUP_NORMAL_STUDENT_NUM("MUSIC_GROUP_NORMAL_STUDENT_NUM", "乐团声部在读人数导出"),
    STUDENT_ORDER("STUDENT_ORDER", "回款统计"),
    EXPORT_SELL_ORDERS("EXPORT_SELL_ORDERS", "销售列表导出"),
    ARREARAGE_STUDENTS("ARREARAGE_STUDENTS", "欠费学员列表导出"),
    MUSIC_GROUP_QUIT("MUSIC_GROUP_QUIT", "退团申请列表导出"),
    TEACHER_SERVE_INFO("TEACHER_SERVE_INFO", "服务指标明细导出"),
    EXPORT_INDEX_ERR_DATA("EXPORT_INDEX_ERR_DATA", "首页异常统计导出"),
    TEACHER_COURSE_STATISTICS("TEACHER_COURSE_STATISTICS", "运营预警导出"),
    EXPORT_INDEX_HISTORY_ERR_DATA("EXPORT_INDEX_HISTORY_ERR_DATA", "首页历史异常统计导出"),
    TEACHER_LIST("TEACHER_LIST", "老师列表导出"),
    EMPLOYEE_INFO("EMPLOYEE_INFO", "人力资源导出"),
    ORGAN_TEACHER_MEMBER_STUDENT_DATA("ORGAN_TEACHER_MEMBER_STUDENT_DATA", "分部下教师关联的会员数据导出"),
    ORGAN_STUDENT_OVER_VIEW("ORGAN_STUDENT_OVER_VIEW", "分部云教练学员数据预览导出"),
    CLOUD_STUDY_STUDENT_OVER_VIEW("CLOUD_STUDY_STUDENT_OVER_VIEW", "分部云教练学员数据详情导出"),
    CLOUD_STUDY_STUDENT_TRAIN_DATA("CLOUD_STUDY_STUDENT_TRAIN_DATA", "分部云教练学员训练数据导出"),
    COUNT_CLOUD_TEACHER_ACTIVE("COUNT_CLOUD_TEACHER_ACTIVE", "分部云教练活动统计数据导出"),
    COUNT_CLOUD_TEACHER_ACTIVE_DETAIL("COUNT_CLOUD_TEACHER_ACTIVE_DETAIL", "云教练活动统计详情"),
    MUSIC_ENLIGHTENMENT_QUESTIONNAIRES("MUSIC_ENLIGHTENMENT_QUESTIONNAIRES", "启蒙课问卷导出"),
    STUDENT_INSTRUMENT("STUDENT_INSTRUMENT", "乐保导出"),
    EXPORT_BILL("EXPORT_BILL", "对账单导出"),
    STUDENT_VIP_COURSE_INFO("STUDENT_VIP_COURSE_INFO", "VIP课学员课程信息导出"),
    STUDENT_MUSIC_THEORY_COURSE_INFO("STUDENT_MUSIC_THEORY_COURSE_INFO", "乐理课学员课程信息导出"),
    VIP_STUDENT_COURSE_MANAGE("VIP_STUDENT_COURSE_MANAGE", "vip学员课程管理"),
    EXERCISES_SITUATION("EXERCISES_SITUATION", "服务指标导出"),
    EXPORT_STUDENT_SUBCOURSE("EXPORT_STUDENT_SUBCOURSE", "活动资格导出"),
    EXPORT_STUDENT_SERVE_INFO("EXPORT_STUDENT_SERVE_INFO", "乐团学生服务指标导出"),
    EXPORT_TRAINING_STATISTICS("EXPORT_TRAINING_STATISTICS", "训练统计导出"),
    EXPORT_OPERATING_VISIT_STATISTICS("EXPORT_OPERATING_VISIT_STATISTICS", "回访统计导出"),
    EXPORT_OPERATING_REPORT_NEW("EXPORT_OPERATING_REPORT_NEW", "经营报表导出"),
    ;

    private String code;

    private String msg;

    ExportEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
